GET /virtualservice/{uuid}/sescaleoutstatus/
/virtualservice/{uuid}/sescaleoutstatus/
UUID of the object to fetch
Avi Tenant Header
Avi Tenant Header UUID
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
OK
{
"hb_ip_address": {
"addr": "string",
"type": "string"
},
"hb_state_missing": 0,
"hb_vnic_name": "string",
"ipc_encap_type": "string",
"proc_id": "string",
"scaleout_type": "string",
"se_uuid": "string",
"selb_entries": [
{
"se_ro_tokens": 0,
"se_tokens": 0,
"se_uuid": "string"
}
],
"selb_version": 0,
"selbchentries": [
{
"hits": 0,
"key": 0,
"se_uuid": "string",
"skips": 0
}
],
"so_se_status_entries": [
{
"has_hb_issues": false,
"ip_address": {
"addr": "string",
"type": "string"
},
"is_flow_dispatchable": false,
"is_local": false,
"is_primary": false,
"is_up": false,
"num_flow_cores_sum": 0,
"num_flow_cores_sum_changes_accepted": 0,
"num_flow_cores_sum_changes_all": 0,
"num_pools_up": 0,
"num_vs_flows": 0,
"num_vs_hb_rqs_sent": 0,
"num_vs_hb_rsps_rcvd": 0,
"pool_obj_count": 0,
"se_hb_up": false,
"se_hb_version": 0,
"se_load": 0,
"se_uuid": "string",
"sent_scaleout_ready": false,
"vs_bps": 0,
"vs_op_up": false
}
],
"total_num_vs_flows": 0,
"tunnel_mode": false
}
hb_ip_address
Number of times primary SE did not find HB state for the secondary SE. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
vnic on which primary SE is running HeartBeat messaging. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Encapsulation used for IPC messages between primary and secondary SE's. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Process Id on the primary SE which is reporting SE scaleout status. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Type of VS Scaleout - L2 or ECMP. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
UUID of the SE reporting VS data. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
SE load balancing entries for flow distribution using load-aware flow distribution. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Version of SE-load binheap used for flow-distribution by RSS cores when RSS is enabled. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
SE load balancing entries for flow distribution using Consistent Hash. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Scaleout SE status entries. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Cumulative number of VS flows that arrived for VS on the primary SE. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Set to 1 if return traffic is tunnelled back from secondary SE to primary SE. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
object not found
curl -H 'Authorization: <value>' https://{api_host}/api/virtualservice/{uuid}/sescaleoutstatus